---
id: gtorrentpro
name: GTorrent.club
description: "GTorrent.club is a RUSSIAN Public Torrent Tracker for MOVIES / TV / GENERAL"
language: ru-RU
type: public
encoding: windows-1251
links:
  - https://gtorrent.club/
legacylinks:
  - http://gtorrent.pro/
  - http://gtorrent.ru/

caps:
  categorymappings:
    - {id: "filmy", cat: Movies, desc: "Фильмы (Movies)"}
    - {id: "muzyka", cat: Audio, desc: "Музыка (Music)"}
    - {id: "igry", cat: Console, desc: "Игры (Games)"}
    - {id: "serialy", cat: TV, desc: "Сериалы (TV series)"}
    - {id: "programmy", cat: PC, desc: "Программы (Software)"}
    - {id: "prilozheniya", cat: Other, desc: "prilozheniya (Other)"}

  modes:
    search: [q]

settings:
  - name: info_flaresolverr
    type: info_flaresolverr

download:
  selectors:
    - selector: a[href^="/engine/download.php?id="]
      attribute: href

search:
  # do=search&subaction=search&search_start=0&full_search=0&result_from=1&story=%D0%A6%D0%B5%D0%BB%D1%8C%D0%BD%D0%BE%D0%BC%D0%B5%D1%82%D0%B0%D0%BB%D0%BB%D0%B8%D1%87%D0%B5%D1%81%D0%BA%D0%B0%D1%8F+%D0%BE%D0%B1%D0%BE%D0%BB%D0%BE%D1%87%D0%BA%D0%B0+
  paths:
    - path: index.php
  inputs:
    do: search
    subaction: search
    search_start: 0
    full_search: 0
    result_from: 1
    story: "{{ if .Keywords }}{{ .Keywords }}{{ else }}{{ .Today.Year }}{{ end }}"

  rows:
    selector: div.blog_brief_news:not(div.first_line):not(:has(div.uploaded:empty))
    filters:
      - name: andmatch

  fields:
    category:
      selector: div.name a
      attribute: href
      filters:
        - name: split
          args: ["/", 3]
    title:
      selector: div.name
    details:
      selector: div.name a
      attribute: href
    download:
      selector: div.name a
      attribute: href
    date:
      text: now
    size:
      selector: div:nth-child(2)
    seeders:
      selector: div.uploaded
    leechers:
      selector: div.download
    downloadvolumefactor:
      text: 0
    uploadvolumefactor:
      text: 1
# engine n/a
